<?php

class HipotecaSystemClass {

  private $o_ParamBean;
  
  public function __construct($o_ParamBean){
    $this->o_ParamBean = $o_ParamBean;
  }
  
  private function getObjParamBean(){
    return $this->o_ParamBean;
  }
  
  public function insertHipoteca(){
    
    $o_HipotecaBL = new HipotecaBL();
    return $o_HipotecaBL->insertarHipoteca($this->getObjParamBean());
    
  }
  
  public function insertUsuario($o_UsuarioBean){
    $o_UsuarioBL = new UsuarioBL();
    $o_UsuarioBL->insertarUsuario($o_UsuarioBean);
  }
   
  public function eliminarHipoteca(){
    
    $o_HipotecaBL = new HipotecaBL();
    return $o_HipotecaBL->eliminarHipoteca($this->getObjParamBean());
    
  }
  
  public function actualizarHipoteca(){
    
    $o_HipotecaBL = new HipotecaBL();
    return $o_HipotecaBL->modificarHipoteca($this->getObjParamBean());
    
  }
  
  /*public function getTipoHipoteca(){
  
    $o_TipoHipotecaBL = new TipoHipotecaBL();
    return $o_TipoHipotecaBL->busquedaTipoHipoteca($this->getObjParamBean());
  
  }*/
  
  public function getHipoteca(){
  
    $o_HipotecaBL = new HipotecaBL();
    return $o_HipotecaBL->getHipoteca($this->getObjParamBean());
  
  }
  

}